> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Resolve an ADA Handle to its corresponding Cardano address for user-friendly address management.

# Resolve ADA Handle



## OpenAPI

````yaml cardano/blockchain-indexer-api/openapi.json get /ecosystem/adahandle/{handle}
openapi: 3.0.3
info:
  title: Cardano - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Cardano.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.8.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
tags:
  - name: Maestro
paths:
  /ecosystem/adahandle/{handle}:
    get:
      tags:
        - Ecosystem
      summary: Resolve ADA Handle
      description: Returns the Cardano address corresponding to an ADA Handle
      operationId: adahandle_resolve
      parameters:
        - name: handle
          in: path
          description: Ada Handle to resolve
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Return the address which the Ada Handle resolves to
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimestampedAddress'
              example:
                data: addr1vyn6t3yqfy5awnc5pekjxww4cn89y3g4pt5rmuykg4y2urc56c56e
                last_updated:
                  timestamp: '2022-10-10 20:25:28'
                  block_hash: >-
                    bdf4630098ac6923e0ef1ca0b0d6e00dca96790a8c3dd670948fdfe1456798d2
                  block_slot: 73867237
        '400':
          description: Malformed query parameters
        '404':
          description: No results found
        '500':
          description: Internal server error
components:
  schemas:
    TimestampedAddress:
      type: object
      description: >-
        Timestamped response. Returns the endpoint response data along with the
        chain-tip of the indexer, which details at which point in the chain's
        history the data was correct as-of.
      required:
        - data
        - last_updated
      properties:
        data:
          $ref: '#/components/schemas/Address'
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
    Address:
      type: string
      description: Bech32-encoded Cardano Address
    LastUpdated:
      type: object
      description: >-
        Details of the most recent block processed by the indexer (aka chain
        tip); that is, the data returned is correct as of this block in time.
      required:
        - timestamp
        - block_hash
        - block_slot
      properties:
        block_hash:
          type: string
          description: >-
            Hex-encoded hash of the most recently processed block (aka chain
            tip)
        block_slot:
          type: integer
          format: int64
          description: Absolute slot of the most recently processed block (aka chain tip)
          minimum: 0
        timestamp:
          type: string
          description: UTC timestamp of when the most recently processed block was minted
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````